
From: Trond Myklebust <trond.myklebust@fys.uio.no>

It looks like gcc-2.95 has incomplete support for C99 designated
initializers.  The following patch works around this...



---

 fs/nfs/nfs4proc.c      |    5 ++++-
 fs/nfs/nfs4proc.c.orig |    0 
 2 files changed, 4 insertions(+), 1 deletion(-)

diff -puN fs/nfs/nfs4proc.c~nfs-old-gcc-fix fs/nfs/nfs4proc.c
--- 25/fs/nfs/nfs4proc.c~nfs-old-gcc-fix	2004-01-10 14:29:40.000000000 -0800
+++ 25-akpm/fs/nfs/nfs4proc.c	2004-01-10 14:29:40.000000000 -0800
@@ -2061,6 +2061,7 @@ nfs4_lck_type(int cmd, struct file_lock 
 			return NFS4_WRITE_LT; 
 	}
 	BUG();
+	return 0;
 }
 
 static inline uint64_t
@@ -2208,7 +2209,9 @@ nfs4_proc_setlk(struct nfs4_state *state
 	if (lsp == NULL) {
 		struct nfs4_state_owner *owner = state->owner;
 		struct nfs_open_to_lock otl = {
-			.lock_owner.clientid = server->nfs4_state->cl_clientid,
+			.lock_owner = {
+				.clientid = server->nfs4_state->cl_clientid,
+			},
 		};
 		status = -ENOMEM;
 		lsp = nfs4_alloc_lock_state(state, request->fl_owner);
diff -puN fs/nfs/nfs4proc.c.orig~nfs-old-gcc-fix fs/nfs/nfs4proc.c.orig

_
